Get

Retrieves a rate sheet by ID. Only the owning org can fetch. | authz: allowed_org_types=[courier, forwarder], min_org_role=operator | () -> (RateSheet1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

rate_sheet_idstringRequired

Response

Successful Response
schema_versioninteger
service_typeenum
Allowed values:
owned_by_org_idstring

Must be a string starting with org_

owned_by_org_typeenum
Allowed values:
payment_vector_typeenum
Allowed values:
_idstring
archivedboolean or nullDefaults to false
namestring or null
commentsstring or null
cargo_typeslist of enums or null
vehicle_typeslist of enums or null
base_mileage_distance_milesdouble or null
base_mileage_rate_usd_per_instancedouble or null
additional_mileage_rate_usd_per_miledouble or null

applies only to the additional/incremental miles

long_distance_surcharge_miles_before_surchargedouble or null
long_distance_surcharge_rate_usd_per_miledouble or null

applies only to the additional/incremental miles

fuel_surcharge_rate_usd_per_miledouble or null
wait_time_before_charge_minutesdouble or null
wait_time_rate_usd_per_minutedouble or null
extra_stop_rate_usddouble or null
dangerous_goods_rate_usd_per_instancedouble or null
after_hours_rate_usd_per_instancedouble or null
weekend_rate_usd_per_instancedouble or null
holiday_rate_usd_per_instancedouble or null

Errors